Create an empty episode
Inserts an episode row with only the metadata you provide. No script, audio, or video is generated. Use POST /v1/episodes/generate to create an episode and trigger generation in one call.
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from /settings/api-keys in the Jellypod studio. Send as Authorization: Bearer <key>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.jellypod.com/v1/episodes" \ -H "Content-Type: application/json" \ -d '{ "podcast_id": "4c1cb0f8-818b-4f7a-9ddb-0d1ea990b35a" }'{
"data": {
"id": "string",
"podcast_id": "string",
"status": "draft",
"title": "string",
"description": "string",
"image_url": "string",
"url": "string",
"video_url": "string",
"audio_url": "string",
"host_ids": [
"string"
],
"source_ids": [
"string"
],
"published_at": "string",
"scheduled_at": "string",
"generation": {
"state": "generating",
"started_at": "string",
"completed_at": "string",
"error_message": "string"
},
"created_at": "string",
"updated_at": "string"
}
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "bad_request",
"title": "string",
"status": 0,
"detail": "string",
"request_id": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}Was this page helpful?